petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecGhostRestoreLocalForm

Restores the local ghosted representation of a parallel vector obtained with VecGhostGetLocalForm().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecGhostRestoreLocalForm(Vec g,Vec *l)

Logically Collective

### Input Parameter

| g | - the global vector
| l | - the local (ghosted) representation

### Notes

This routine does not actually update the ghost values, but rather it returns a sequential vector that includes the locations for the ghost values and their current values.

### See Also

VecCreateGhost(), VecGhostGetLocalForm(), VecCreateGhostWithArray()

### Level

advanced

### Location

src/vec/vec/impls/mpi/commonmpvec.c

### Examples

src/vec/vec/examples/tutorials/ex9.c.html
src/vec/vec/examples/tutorials/ex9f.F90.html
src/vec/vec/examples/tutorials/ex14f.F90.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages